
local screenW = application:getContentWidth()
local screenH = application:getContentHeight()


local bg = Bitmap.new(Texture.new("background.png"))
bg:setPosition(0,0)
bg:setScale(2)
stage:addChild(bg)

-- move the ship around with arrow keys
ship = Ship.new()
ship:setPosition(10,10)
bg:addChild(ship)

local view = Viewport.new()
view:setClip(0,0, screenW, screenH)
view:setContent(bg)
stage:addChild(view)


-- how to follow the ship with the viewport!? possible?

function update(ev)
	local dt = ev.deltaTime
	ship:update(dt)
	view:setTransform(ship:getMatrix()) -- this transforms the viewport position and rotation itself... D:
	-- view:lookAt(aaaaaaaarrrrrrrgh!!!!) ???
end


stage:addEventListener(Event.ENTER_FRAME, update)